#pragma once
#include <vector>

class LuaSortList
{
public:
	std::vector<uint16_t> list;

	void swap(size_t i1, size_t i2)
	{
		std::swap(list[i1], list[i2]);
	}

	size_t size() const
	{
		return list.size();
	}

	uint16_t at(size_t i) const
	{
		return list[i];
	}

	bool sorted() const
	{
		for (int i = 1; i < list.size(); ++i)
		{
			if (list[i - 1] > list[i]) return false;
		}
		return true;
	}

};
