#pragma once

/*
static inline const char lua_future_class[] = R"(
Future = {
	state = {}
}

function Future:new(state)
	local f = {}
	setmetatable(f, self)
	self.__index = self
	f["state"] = state or {}

	return f
end

function Future:poll()
	return true
end

function Future.get(t, ...)
	return t:poll(unpack(arg))
end
)";
*/

template<typename T>
class Future
{
public:
	virtual ~Future() = default;
	virtual bool poll() = 0;
	virtual T& get() = 0;
};