#include "sortiva.hpp"


void Sortiva::update(double dt) {
	if (m_Ticker.update(std::chrono::duration<float>(dt)))
	{
		if (!m_SortingFinished) {
			if (m_Sorter.poll())
			{
				m_SortingFinished = true;
			}
			else
			{
				LuaSortList& list = m_Sorter.get();
				for (uint16_t i = 0; i < list.size(); ++i)
				{
					m_Steps->at(list.at(i) - 1).put(i + 1);
				}
			}
		}
	}
}